SimpleTagFilter (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class SimpleTagFilter

    java.lang.Object
      rabbit.filter.HtmlFilter
          rabbit.filter.SimpleTagFilter

All Implemented Interfaces:
  HtmlFilterFactory

Direct Known Subclasses:
  BackgroundFilter, BlinkFilter, BodyFilter, LowresImageFilter

    public abstract class SimpleTagFilter

extends HtmlFilter

A class that inserts some text and links at the top of a page. Useful for inserting links to unfiltered page.

Author:
  Robert Olofsson

Field Summary

Fields inherited from class rabbit.filter.HtmlFilter
`con, request, response`

Constructor Summary
`SimpleTagFilter()`
`SimpleTagFilter(Connection con, HttpHeader request, HttpHeader response)` Create a new SimpleTagFilter for the given request, response pair.

Method Summary
`void` | `filterHtml(HtmlBlock block)` Iterate over all tags and call handleTag on them.
`abstract void` | `handleTag(Tag tag, HtmlBlock block, int tokenIndex)` Handle a tag.

Methods inherited from class rabbit.filter.HtmlFilter
`isCacheable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rabbit.filter.HtmlFilterFactory
`newFilter`

Constructor Detail

### SimpleTagFilter

    public SimpleTagFilter()

### SimpleTagFilter

    public SimpleTagFilter(Connection con,
                           HttpHeader request,
                           HttpHeader response)

  Create a new SimpleTagFilter for the given request, response pair.

  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

Method Detail

### filterHtml

    public void filterHtml(HtmlBlock block)

  Iterate over all tags and call handleTag on them.

  Specified by:
    `filterHtml` in class `HtmlFilter`
  Parameters:
    `block` - the part of the html page we are filtering.

### handleTag

    public abstract void handleTag(Tag tag,
                                   HtmlBlock block,
                                   int tokenIndex)

  Handle a tag.

  Parameters:
    `tag` - the Tag to handle.
    `block` - the current HtmlBlock
    `tokenIndex` - the index of the current Token

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD